Operating System is Out of Date

Keywords:

Blizzard games require the most current version of your operating system in order to function properly. If you are receiving error messages that say the game requires a newer operating system, follow the steps below to resolve the issue.

Windows

  1. Make sure your system meets the minimum operating system requirements for the game you are installing (World of Warcraft, StarCraft II, Diablo III, Hearthstone, Heroes of the Storm).
  2. Our games require an up-to-date operating system in order to run properly. Run Windows Update to be sure you're using the most recent version.
  3. You may not have the proper permissions to write to this file. Create a new administrator account and try again.
  4. Make sure Windows Secondary Logon is enabled, which Agent needs to run correctly.

Mac

  1. Make sure your system meets the minimum operating system requirements for the game you are installing (World of Warcraft, StarCraft II, Diablo III, Hearthstone, Heroes of the Storm).
  2. Our games require an up-to-date operating system to run properly. Run Software Update to be sure you're using the most recent version.

Tried everything here?

If you have tried all of the steps for your operating system and still require assistance, please visit our Technical Support Forum (World of Warcraft | StarCraft II | Diablo III | Hearthstone | Heroes of the Storm) or contact us.

Get Help

Still can't find a solution? Submit a ticket and someone will help out!